<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link rel="stylesheet" href="/public/css/main.css" rel="stylesheet">

    <script src="https://kit.fontawesome.com/c7d062ae39.js" crossorigin="anonymous"></script>
</head>
<body> 
    <div class="login d-flex align-items-center justify-content-center">
        <div class="login-form d-flex flex-column p-5 mx-5 col-md-3 align-items-center justify-content-center">
            <div class="row w-100 pb-2">
                <a href="/"><i class="fas fa-chevron-circle-left fs-1 text-warning"></i></a>
            </div>
            <div class="row py-3">
                <div class="col-6 d-flex align-items-center justify-content-center container">
                    <img src="/public/assets/logo.png" alt="" class="img-fluid" style="max-width: 100px;">
                </div>
                <div class="col d-flex align-items-center justify-content-center">
                    <h1 class="txt-secondary">Secure Messenger</h1>
                </div>
            </div>

            <div class="row py-2">
                <h3 class="txt-secondary">Reset Password</h3>
            </div>

            <form action="/reset-password/<%= info.userId %>/<%= info.token %>" method="post" class="d-flex flex-column w-100 needs-validation" novalidate>
                <div class="mb-2">
                    <input id="password-reset" class="form-control" type="text" name="password" placeholder="New password" class="my-3" required 
                    pattern="^(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])(?=.{8,72}$).*$">
                    <div class="invalid-feedback">
                        Password should be at least one uppercase letter, one lowercase letter and one number
                    </div>
                </div>
                <script> // Form Validation
                    (function () {
                    'use strict'
                    var forms = document.querySelectorAll('.needs-validation')
            
                    // Loop over them and prevent submission
                    Array.prototype.slice.call(forms)
                        .forEach(function (form) {
                        form.addEventListener('submit', function (event) {
                            if (!form.checkValidity()) {
                                event.preventDefault()
                                event.stopPropagation()
                            }
            
                            form.classList.add('was-validated')
                        }, false)
                        })
                    })()
                </script>
                <div>
                    <button id="submit" type="submit" class="btn-login btn-lg px-5 text-white">Reset Password</button>
                </div>
            </form>
            
        </div>
    </div>
    
    
</body>
</html>